Index: /extensions/UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- /extensions/UserAdvManager/trunk/admin/UAM_admin.php	(revision 17917)
+++ /extensions/UserAdvManager/trunk/admin/UAM_admin.php	(revision 17918)
@@ -1678,11 +1683,11 @@
     
       if (isset($_POST['pref_submit']) and isset($_POST['selection']) and in_array($local_user['id'], $_POST['selection']))
-	  	{
-				$checked = 'checked="checked"';
-	  	}
-			else
-    	{
-    		$checked = '';
-    	}
+	  			{
+								$checked = 'checked="checked"';
+	  			}
+						else
+    		{
+    				$checked = '';
+   			}
 
       // Template initialization
@@ -1691,13 +1696,13 @@
      	  'users',
        	array(
-       		'ID'          => $local_user['id'],
+       			'ID'          => $local_user['id'],
          	'CHECKED'     => $checked,
          	'USERNAME'    => stripslashes($local_user['username']),
-					'EMAIL'       => get_email_address_as_display_text($local_user['email']),
+										'EMAIL'       => get_email_address_as_display_text($local_user['email']),
           'LASTVISIT'   => $local_user['lastvisit'],
           'REMINDER'    => $reminder,
-				)
-			);
-		}
+								)
+						);
+				}
 
     // Plugin version inserted
@@ -1713,22 +1718,22 @@
 // |                             errors display                            |
 // +-----------------------------------------------------------------------+
-		if ( isset ($errors) and count($errors) != 0)
-		{
-	  	$template->assign('errors',array());
-			foreach ($errors as $error)
-	  	{
-				array_push($page['errors'], $error);
-	  	}
-		}  
+				if ( isset ($errors) and count($errors) != 0)
+				{
+	  			$template->assign('errors',array());
+						foreach ($errors as $error)
+	  			{
+								array_push($page['errors'], $error);
+	  			}
+				}  
 
 // +-----------------------------------------------------------------------+
 // |                           templates display                           |
 // +-----------------------------------------------------------------------+
-		$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/ghosttracker.tpl');
+				$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/ghosttracker.tpl');
     $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');		
-	}
+		}
   else
   {
-		array_push($page['errors'], l10n('UAM_Err_GhostTracker_Settings'));
+				array_push($page['errors'], l10n('UAM_Err_GhostTracker_Settings'));
   }
 
Index: /extensions/UserAdvManager/trunk/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/trunk/include/functions.inc.php	(revision 17917)
+++ /extensions/UserAdvManager/trunk/include/functions.inc.php	(revision 17918)
@@ -136,4 +136,8 @@
       // ----------------------------------------------------------------------------------------------
       SetPermission($register_user['id']);// Set to "waiting" group or status until admin validation
+      
+      // This is to set UAM_validated field to false in #_users table - Usefull if no "waiting" group or status is set
+      // -------------------------------------------------------------------------------------------------------------
+      SetUnvalidated($register_user['id']);
     }
     // Sending registration confirmation by email
@@ -262,8 +266,8 @@
       $user_idsOK[] = $user['id'];
 
-      $query = "
-UPDATE ".CONFIG_TABLE."
-SET value = \"".implode(',', $user_idsOK)."\"
-WHERE param = 'UserAdvManager_Redir';";
+      $query = '
+UPDATE '.CONFIG_TABLE.'
+SET value = "'.implode(',', $user_idsOK).'"
+WHERE param = "UserAdvManager_Redir";';
           
       pwg_query($query);
@@ -318,5 +322,5 @@
     if (!empty($_POST['use_new_pwd']))
     {
-      $typemail = 2; // Confirmation email on user profile update - With information email if checked
+      $typemail = 2; // Confirmation email on user profile update - With information email
 
       // Password enforcement control
@@ -357,4 +361,5 @@
         {
           SetPermission($user['id']);// Set to "waiting" group or status until user validation
+          SetUnvalidated($user['id']); // Set UAM_validated field to false in #_users table
           $confirm_mail_need = true;
         }
@@ -365,4 +370,5 @@
         {
           SetPermission($user['id']);// Set to "waiting" group or status until admin validation
+          SetUnvalidated($user['id']); // Set UAM_validated field to false in #_users table
           $confirm_mail_need = false;
         }       
@@ -586,9 +592,9 @@
             list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
 
-		        $query = "
-UPDATE ".USER_LASTVISIT_TABLE."
-SET lastvisit='".$dbnow."'
-WHERE user_id = '".$user_id."'
-;";
+		        $query = '
+UPDATE '.USER_LASTVISIT_TABLE.'
+SET lastvisit="'.$dbnow.'"
+WHERE user_id = '.$user_id.'
+;';
             pwg_query($query);
 
@@ -597,13 +603,13 @@
             // Delete user from all groups
             // ---------------------------
-            $query = "
-DELETE FROM ".USER_GROUP_TABLE."
-WHERE user_id = '".$user_id."'
+            $query = '
+DELETE FROM '.USER_GROUP_TABLE.'
+WHERE user_id = '.$user_id.'
   AND (
-    group_id = '".$conf_UAM[2]."'
+    group_id = "'.$conf_UAM[2].'"
   OR 
-    group_id = '".$conf_UAM[3]."'
+    group_id = "'.$conf_UAM[3].'"
   )
-;";
+;';
             pwg_query($query);
 
@@ -612,9 +618,9 @@
             if ($conf_UAM[26] <> -1)
             {
-              $query = "
-UPDATE ".USER_INFOS_TABLE."
-SET status = '".$conf_UAM[26]."'
-WHERE user_id = '".$user_id."'
-;";
+              $query = '
+UPDATE '.USER_INFOS_TABLE.'
+SET status = "'.$conf_UAM[26].'"
+WHERE user_id = '.$user_id.'
+;';
               pwg_query($query);
             }
@@ -624,10 +630,10 @@
             if ($conf_UAM[25] <> -1)
             {
-              $query = "
-INSERT INTO ".USER_GROUP_TABLE."
+              $query = '
+INSERT INTO '.USER_GROUP_TABLE.'
   (user_id, group_id)
 VALUES
-  ('".$user_id."', '".$conf_UAM[25]."')
-;";
+  ('.$user_id.', "'.$conf_UAM[25].'")
+;';
               pwg_query($query);
             }
@@ -637,9 +643,9 @@
             if ($conf_UAM[37] <> -1)
             {
-              $query = "
-UPDATE ".USER_INFOS_TABLE."
-SET level = '".$conf_UAM[37]."'
-WHERE user_id = '".$user_id."'
-;";
+              $query = '
+UPDATE '.USER_INFOS_TABLE.'
+SET level = "'.$conf_UAM[37].'"
+WHERE user_id = '.$user_id.'
+;';
               pwg_query($query);
             }
@@ -651,9 +657,9 @@
               // Set reminder true
               // -----------------
-              $query = "
-UPDATE ".USER_LASTVISIT_TABLE."
-SET reminder = 'true'
-WHERE user_id = '".$user_id."'
-;";
+              $query = '
+UPDATE '.USER_LASTVISIT_TABLE.'
+SET reminder = "true"
+WHERE user_id = '.$user_id.'
+;';
               pwg_query($query);
             
@@ -663,5 +669,5 @@
 UPDATE '.USER_CONFIRM_MAIL_TABLE.'
 SET date_check = NULL
-WHERE user_id = "'.$user_id.'"
+WHERE user_id = '.$user_id.'
 ;';
 						  pwg_query($query);
@@ -757,9 +763,9 @@
           // Get current user informations
           // -----------------------------
-          $query = "
+          $query = '
 SELECT id, username, mail_address
-FROM ".USERS_TABLE."
-WHERE id = '".$user['id']."'
-;";
+FROM '.USERS_TABLE.'
+WHERE id = '.$user['id'].'
+;';
           $data = pwg_db_fetch_assoc(pwg_query($query));
 
@@ -811,9 +817,9 @@
             // Get current user informations
             // -----------------------------
-            $query = "
+            $query = '
 SELECT id, username, mail_address
-FROM ".USERS_TABLE."
-WHERE id = '".$user_id."'
-;";
+FROM '.USERS_TABLE.'
+WHERE id = '.$user_id.'
+;';
             $data = pwg_db_fetch_assoc(pwg_query($query));
 
@@ -1087,5 +1093,5 @@
   }
 
-  if ( isset($conf_UAM[1]) and $conf_UAM[1] == 'true' and $confirm) // Add confirmation link ?
+  if (isset($conf_UAM[1]) and $conf_UAM[1] == 'true' and $confirm) // Add confirmation link ?
   {
     $infos2 = array
@@ -1218,9 +1224,9 @@
 // Set reminder true 
 // -----------------     
-      $query = "
-UPDATE ".USER_CONFIRM_MAIL_TABLE."
-SET reminder = 'true'
-WHERE user_id = '".$user_id."'
-;";
+      $query = '
+UPDATE '.USER_CONFIRM_MAIL_TABLE.'
+SET reminder = "true"
+WHERE user_id = '.$user_id.'
+;';
       pwg_query($query);
       
@@ -1270,9 +1276,9 @@
 // Set reminder true
 // -----------------
-      $query = "
-UPDATE ".USER_CONFIRM_MAIL_TABLE."
-SET reminder = 'true'
-WHERE user_id = '".$user_id."'
-;";
+      $query = '
+UPDATE '.USER_CONFIRM_MAIL_TABLE.'
+SET reminder = "true"
+WHERE user_id = '.$user_id.'
+;';
       pwg_query($query);
       
@@ -1596,9 +1602,9 @@
   {
     $id = generate_key(16);
-    $query = "
+    $query = '
 SELECT COUNT(*)
-  FROM ".USER_CONFIRM_MAIL_TABLE."
-WHERE id = '".$id."'
-;";
+  FROM '.USER_CONFIRM_MAIL_TABLE.'
+WHERE id = '.$id.'
+;';
     list($count) = pwg_db_fetch_row(pwg_query($query));
 
@@ -1628,30 +1634,30 @@
   if (isset($Confirm_Mail_ID))
   {
-    $query = "
+    $query = '
 SELECT status
-  FROM ".USER_INFOS_TABLE."
-WHERE user_id = '".$user_id."'
-;";
+  FROM '.USER_INFOS_TABLE.'
+WHERE user_id = '.$user_id.'
+;';
     list($status) = pwg_db_fetch_row(pwg_query($query));
     
-    $query = "
-INSERT INTO ".USER_CONFIRM_MAIL_TABLE."
+    $query = '
+INSERT INTO '.USER_CONFIRM_MAIL_TABLE.'
   (id, user_id, mail_address, status, date_check)
 VALUES
-  ('".$Confirm_Mail_ID."', '".$user_id."', '".$email."', '".$status."', null)
-;";
+  ("'.$Confirm_Mail_ID.'", '.$user_id.', "'.$email.'", "'.$status.'", null)
+;';
     pwg_query($query);
 
     // Delete user from all groups
     // ---------------------------
-    $query = "
-DELETE FROM ".USER_GROUP_TABLE."
-WHERE user_id = '".$user_id."'
+    $query = '
+DELETE FROM '.USER_GROUP_TABLE.'
+WHERE user_id = '.$user_id.'
   AND (
-    group_id = '".$conf_UAM[2]."'
+    group_id = "'.$conf_UAM[2].'"
   OR 
-    group_id = '".$conf_UAM[3]."'
+    group_id = "'.$conf_UAM[3].'"
   )
-;";
+;';
     pwg_query($query);
 
@@ -1660,9 +1666,9 @@
     if (!is_admin() and $conf_UAM[7] <> -1)
     {
-      $query = "
-UPDATE ".USER_INFOS_TABLE."
-SET status = '".$conf_UAM[7]."'
-WHERE user_id = '".$user_id."'
-;";
+      $query = '
+UPDATE '.USER_INFOS_TABLE.'
+SET status = "'.$conf_UAM[7].'"
+WHERE user_id = '.$user_id.'
+;';
       pwg_query($query);
     }
@@ -1672,10 +1678,10 @@
     if (!is_admin() and $conf_UAM[2] <> -1)
     {
-      $query = "
-INSERT INTO ".USER_GROUP_TABLE."
+      $query = '
+INSERT INTO '.USER_GROUP_TABLE.'
   (user_id, group_id)
 VALUES
-  ('".$user_id."', '".$conf_UAM[2]."')
-;";
+  ('.$user_id.', "'.$conf_UAM[2].'")
+;';
       pwg_query($query);
     }
@@ -1685,11 +1691,15 @@
     if (!is_admin() and $conf_UAM[35] <> -1)
     {
-      $query = "
-UPDATE ".USER_INFOS_TABLE."
-SET level = '".$conf_UAM[35]."'
-WHERE user_id = '".$user_id."'
-;";
+      $query = '
+UPDATE '.USER_INFOS_TABLE.'
+SET level = "'.$conf_UAM[35].'"
+WHERE user_id = '.$user_id.'
+;';
       pwg_query($query);
     }
+    
+    // Set UAM_validated field to false in #_users table
+    // -------------------------------------------------
+    SetUnvalidated($user_id);
     
     return get_absolute_root_url().UAM_PATH.'ConfirmMail.php?key='.$Confirm_Mail_ID.'&userid='.$user_id;
@@ -1713,22 +1723,22 @@
 // Groups cleanup
 // --------------
-  $query = "
-DELETE FROM ".USER_GROUP_TABLE."
-WHERE user_id = '".$user_id."'
+  $query = '
+DELETE FROM '.USER_GROUP_TABLE.'
+WHERE user_id = '.$user_id.'
   AND (
-    group_id = '".$conf_UAM[2]."'
+    group_id = "'.$conf_UAM[2].'"
   OR 
-    group_id = '".$conf_UAM[3]."'
+    group_id = "'.$conf_UAM[3].'"
   )
-;";
+;';
   pwg_query($query);
 
   if (!is_admin() and $conf_UAM[7] <> -1) // Set status
   {
-    $query = "
-UPDATE ".USER_INFOS_TABLE."
-SET status = '".$conf_UAM[7]."'
-WHERE user_id = '".$user_id."'
-;";
+    $query = '
+UPDATE '.USER_INFOS_TABLE.'
+SET status = "'.$conf_UAM[7].'"
+WHERE user_id = '.$user_id.'
+;';
     pwg_query($query);
   }
@@ -1736,10 +1746,10 @@
   if (!is_admin() and $conf_UAM[2] <> -1) // Set group
   {
-    $query = "
-INSERT INTO ".USER_GROUP_TABLE."
+    $query = '
+INSERT INTO '.USER_GROUP_TABLE.'
   (user_id, group_id)
 VALUES
-  ('".$user_id."', '".$conf_UAM[2]."')
-;";
+  ('.$user_id.', "'.$conf_UAM[2].'")
+;';
     pwg_query($query);
   }
@@ -1747,10 +1757,10 @@
   if (!is_admin() and $conf_UAM[35] <> -1) // Set privacy level
   {
-    $query = "
-INSERT INTO ".USER_INFOS_TABLE."
+    $query = '
+INSERT INTO '.USER_INFOS_TABLE.'
   (user_id, level)
 VALUES
-  ('".$user_id."', '".$conf_UAM[35]."')
-;";
+  ('.$user_id.', "'.$conf_UAM[35].'")
+;';
     pwg_query($query);
   }
@@ -1776,16 +1786,16 @@
   if (isset($Confirm_Mail_ID))
   { 
-    $query = "
-UPDATE ".USER_CONFIRM_MAIL_TABLE."
-SET id = '".$Confirm_Mail_ID."'
-WHERE user_id = '".$user_id."'
-;";
+    $query = '
+UPDATE '.USER_CONFIRM_MAIL_TABLE.'
+SET id = "'.$Confirm_Mail_ID.'"
+WHERE user_id = '.$user_id.'
+;';
     pwg_query($query);
 
-		$query = "
-UPDATE ".USER_INFOS_TABLE."
-SET registration_date = '".$dbnow."'
-WHERE user_id = '".$user_id."'
-;";
+		$query = '
+UPDATE '.USER_INFOS_TABLE.'
+SET registration_date = "'.$dbnow.'"
+WHERE user_id = '.$user_id.'
+;';
 		pwg_query($query);
     
@@ -1807,9 +1817,9 @@
   list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
 
-  $query = "
-UPDATE ".USER_LASTVISIT_TABLE."
-SET lastvisit = '".$dbnow."', reminder = 'true'
-WHERE user_id = '".$user_id."'
-;";
+  $query = '
+UPDATE '.USER_LASTVISIT_TABLE.'
+SET lastvisit = "'.$dbnow.'", reminder = "true"
+WHERE user_id = '.$user_id.'
+;';
   pwg_query($query);
 }
@@ -1822,8 +1832,8 @@
 function DeleteConfirmMail($user_id)
 {
-  $query = "
-DELETE FROM ".USER_CONFIRM_MAIL_TABLE."
-WHERE user_id = '".$user_id."'
-;";
+  $query = '
+DELETE FROM '.USER_CONFIRM_MAIL_TABLE.'
+WHERE user_id = '.$user_id.'
+;';
   pwg_query($query);
 }
@@ -1835,8 +1845,8 @@
 function DeleteLastVisit($user_id)
 {
-  $query = "
-DELETE FROM ".USER_LASTVISIT_TABLE."
-WHERE user_id = '".$user_id."'
-;";
+  $query = '
+DELETE FROM '.USER_LASTVISIT_TABLE.'
+WHERE user_id = '.$user_id.'
+;';
   pwg_query($query);
 }
@@ -1865,8 +1875,8 @@
   unset($values[array_search($user_id, $values)]);
      
-  $query = "
-UPDATE ".CONFIG_TABLE."
-SET value = \"".implode(',', $values)."\"
-WHERE param = 'UserAdvManager_Redir';";
+  $query = '
+UPDATE '.CONFIG_TABLE.'
+SET value = "'.implode(',', $values).'"
+WHERE param = "UserAdvManager_Redir";';
 
   pwg_query($query);
@@ -1893,27 +1903,27 @@
   $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
 
-  $query = "
+  $query = '
 SELECT COUNT(*)
-FROM ".USER_CONFIRM_MAIL_TABLE."
-WHERE id = '".$id."'
-;";
+FROM '.USER_CONFIRM_MAIL_TABLE.'
+WHERE id = '.$id.'
+;';
   list($count) = pwg_db_fetch_row(pwg_query($query));
 
   if ($count == 1)
   {
-    $query = "
+    $query = '
 SELECT user_id, status, date_check
-FROM ".USER_CONFIRM_MAIL_TABLE."
-WHERE id = '".$id."'
-;";
+FROM '.USER_CONFIRM_MAIL_TABLE.'
+WHERE id = '.$id.'
+;';
     $data = pwg_db_fetch_assoc(pwg_query($query));
 
     if (!empty($data) and isset($data['user_id']) and is_null($data['date_check']))
     {
-      $query = "
+      $query = '
 SELECT registration_date
-FROM ".USER_INFOS_TABLE."
-WHERE user_id = '".$data['user_id']."'
-;";
+FROM '.USER_INFOS_TABLE.'
+WHERE user_id = '.$data['user_id'].'
+;';
       list($registration_date) = pwg_db_fetch_row(pwg_query($query));
 
@@ -1966,9 +1976,9 @@
 						if ($conf_UAM[2] <> -1) // Delete user from unvalidated users group
 						{
-							$query = "
-DELETE FROM ".USER_GROUP_TABLE."
-WHERE user_id = '".$data['user_id']."'
-  AND group_id = '".$conf_UAM[2]."'
-;";
+							$query = '
+DELETE FROM '.USER_GROUP_TABLE.'
+WHERE user_id = '.$data['user_id'].'
+  AND group_id = "'.$conf_UAM[2].'"
+;';
 							pwg_query($query);
 						}
@@ -1976,10 +1986,10 @@
 						if ($conf_UAM[3] <> -1) // Add user to validated users group 
 						{
-							$query = "
-INSERT INTO ".USER_GROUP_TABLE."
+							$query = '
+INSERT INTO '.USER_GROUP_TABLE.'
   (user_id, group_id)
 VALUES
-  ('".$data['user_id']."', '".$conf_UAM[3]."')
-;";
+  ('.$data['user_id'].', "'.$conf_UAM[3].'")
+;';
 							pwg_query($query);
 						}
@@ -1987,9 +1997,9 @@
 						if (($conf_UAM[4] <> -1 or isset($data['status']))) // Change user's status
 						{
-							$query = "
-UPDATE ".USER_INFOS_TABLE."
-SET status = '".(isset($data['status']) ? $data['status'] : $conf_UAM[4])."'
-WHERE user_id = '".$data['user_id']."'
-;";
+							$query = '
+UPDATE '.USER_INFOS_TABLE.'
+SET status = "'.(isset($data['status']) ? $data['status'] : $conf_UAM[4]).'"
+WHERE user_id = '.$data['user_id'].'
+;';
 							pwg_query($query);
 						}
@@ -1997,9 +2007,9 @@
 						if (($conf_UAM[36] <> -1 or isset($data['level']))) // Change user's privacy level
 						{
-							$query = "
-UPDATE ".USER_INFOS_TABLE."
-SET level = '".(isset($data['level']) ? $data['level'] : $conf_UAM[36])."'
-WHERE user_id = '".$data['user_id']."'
-;";
+							$query = '
+UPDATE '.USER_INFOS_TABLE.'
+SET level = "'.(isset($data['level']) ? $data['level'] : $conf_UAM[36]).'"
+WHERE user_id = '.$data['user_id'].'
+;';
 							pwg_query($query);
 						}
@@ -2043,9 +2053,9 @@
 					if ($conf_UAM[2] <> -1) // Delete user from unvalidated users group
 					{
-						$query = "
-DELETE FROM ".USER_GROUP_TABLE."
-WHERE user_id = '".$data['user_id']."'
-AND group_id = '".$conf_UAM[2]."'
-;";
+						$query = '
+DELETE FROM '.USER_GROUP_TABLE.'
+WHERE user_id = '.$data['user_id'].'
+AND group_id = "'.$conf_UAM[2].'"
+;';
 						pwg_query($query);
 					}
@@ -2053,17 +2063,17 @@
 					if ($conf_UAM[3] <> -1)
 					{
-						$query = "
-DELETE FROM ".USER_GROUP_TABLE."
-WHERE user_id = '".$data['user_id']."'
-AND group_id = '".$conf_UAM[3]."'
-;";
+						$query = '
+DELETE FROM '.USER_GROUP_TABLE.'
+WHERE user_id = '.$data['user_id'].'
+AND group_id = "'.$conf_UAM[3].'"
+;';
 						pwg_query($query);
 
-						$query = "
-INSERT INTO ".USER_GROUP_TABLE."
+						$query = '
+INSERT INTO '.USER_GROUP_TABLE.'
   (user_id, group_id)
 VALUES
-  ('".$data['user_id']."', '".$conf_UAM[3]."')
-;";
+  ('.$data['user_id'].', "'.$conf_UAM[3].'")
+;';
 						pwg_query($query);
 					}
@@ -2071,9 +2081,9 @@
 					if (($conf_UAM[4] <> -1 or isset($data['status']))) // Change user's status
 					{
-						$query = "
-UPDATE ".USER_INFOS_TABLE."
-SET status = '".(isset($data['status']) ? $data['status'] : $conf_UAM[4])."'
-WHERE user_id = '".$data['user_id']."'
-;";
+						$query = '
+UPDATE '.USER_INFOS_TABLE.'
+SET status = "'.(isset($data['status']) ? $data['status'] : $conf_UAM[4]).'"
+WHERE user_id = '.$data['user_id'].'
+;';
 						pwg_query($query);
 					}
@@ -2081,9 +2091,9 @@
 					if (($conf_UAM[36] <> -1 or isset($data['level']))) // Change user's privacy level
 					{
-						$query = "
-UPDATE ".USER_INFOS_TABLE."
-SET level = '".(isset($data['level']) ? $data['level'] : $conf_UAM[36])."'
-WHERE user_id = '".$data['user_id']."'
-;";
+						$query = '
+UPDATE '.USER_INFOS_TABLE.'
+SET level = "'.(isset($data['level']) ? $data['level'] : $conf_UAM[36]).'"
+WHERE user_id = '.$data['user_id'].'
+;';
 						pwg_query($query);
 					}
@@ -2108,74 +2118,82 @@
 
 /**
- * Function called from UAM_admin.php to force users validation by admin
+ * Function called from UAM_admin.php for manual validation by admin
  *
  * @param : User id
  * 
  */
-function ForceValidation($id)
-{
-  global $conf;
-
-  $conf_UAM = unserialize($conf['UserAdvManager']);
-
-  if (isset($conf_UAM[1]) and $conf_UAM[1] == 'true')
-  {
-    list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
-
-		$query = "
-UPDATE ".USER_CONFIRM_MAIL_TABLE."
-SET date_check='".$dbnow."'
-WHERE user_id = '".$id."'
-;";
-    pwg_query($query);
-  }
-
-  if ($conf_UAM[2] <> -1) // Delete user from waiting group
-	{
-    $query = "
-DELETE FROM ".USER_GROUP_TABLE."
-WHERE user_id = '".$id."'
-  AND group_id = '".$conf_UAM[2]."'
-;";
+function ManualValidation($id)
+{
+		global $conf;
+
+		$conf_UAM = unserialize($conf['UserAdvManager']);
+
+		if (isset($conf_UAM[1]) and $conf_UAM[1] == 'true') // Set date of validation
+		{
+				list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
+
+				$query = '
+UPDATE '.USER_CONFIRM_MAIL_TABLE.'
+SET date_check="'.$dbnow.'"
+WHERE user_id = '.$id.'
+;';
+				pwg_query($query);
+		}
+
+		if ($conf_UAM[2] <> -1) // Delete user from waiting group
+		{
+				$query = '
+DELETE FROM '.USER_GROUP_TABLE.'
+WHERE user_id = '.$id.'
+		AND group_id = "'.$conf_UAM[2].'"
+;';
+				pwg_query($query);
+		}
+  
+		if ($conf_UAM[3] <> -1) // Set user's valid group
+		{
+				$query = '
+DELETE FROM '.USER_GROUP_TABLE.'
+WHERE user_id = '.$id.'
+		AND group_id = "'.$conf_UAM[3].'"
+;';
+				pwg_query($query);
+	
+				$query = '
+INSERT INTO '.USER_GROUP_TABLE.'
+		(user_id, group_id)
+VALUES
+		('.$id.', "'.$conf_UAM[3].'")
+;';
+				pwg_query($query);
+		}
+
+		if ($conf_UAM[4] <> -1) // Set user's valid status
+		{
+				$query = '
+UPDATE '.USER_INFOS_TABLE.'
+SET status = "'.$conf_UAM[4].'"
+WHERE user_id = '.$id.'
+;';
+				pwg_query($query);
+		}
+
+		if ($conf_UAM[36] <> -1) // Set user's valid privacy level
+		{
+				$query = '
+UPDATE '.USER_INFOS_TABLE.'
+SET level = "'.$conf_UAM[36].'"
+WHERE user_id = '.$id.'
+;';
+				pwg_query($query);
+		}
+
+		// Set UAM_validated field to True in #_users table
+		$query = '
+UPDATE '.USERS_TABLE.'
+SET UAM_validated = "true"
+WHERE id = '.$id.'
+;';
 		pwg_query($query);
-  }
-  
-	if ($conf_UAM[3] <> -1) // Set user's valid group
-	{
-    $query = "
-DELETE FROM ".USER_GROUP_TABLE."
-WHERE user_id = '".$id."'
-  AND group_id = '".$conf_UAM[3]."'
-;";
-    pwg_query($query);
-	
-		$query = "
-INSERT INTO ".USER_GROUP_TABLE."
-  (user_id, group_id)
-VALUES
-  ('".$id."', '".$conf_UAM[3]."')
-;";
-		pwg_query($query);
-  }
-
-	if ($conf_UAM[4] <> -1) // Set user's valid status
-	{
-    $query = "
-UPDATE ".USER_INFOS_TABLE."
-SET status = '".$conf_UAM[4]."'
-WHERE user_id = '".$id."'
-;";
-		pwg_query($query);
-  }
-
-	if ($conf_UAM[36] <> -1) // Set user's valid privacy level
-	{
-    $query = "
-UPDATE ".USER_INFOS_TABLE."
-SET level = '".$conf_UAM[36]."'
-WHERE user_id = '".$id."'
-;";
-		pwg_query($query);
-  }
 }
 
@@ -2544,9 +2562,9 @@
   $conf_UAM = unserialize($conf['UserAdvManager']);
 	
-	$query = "
+	$query = '
 SELECT registration_date
-  FROM ".USER_INFOS_TABLE."
-WHERE user_id = '".$id."'
-;";
+  FROM '.USER_INFOS_TABLE.'
+WHERE user_id = '.$id.'
+;';
 	list($registration_date) = pwg_db_fetch_row(pwg_query($query));
 
@@ -2765,4 +2783,22 @@
 
 /**
+ * SetUnvalidated
+ * Set UAM_validated field to false in #_users table
+ * 
+ **/
+function SetUnvalidated($user_id)
+{
+  $query ='
+UPDATE '.USERS_TABLE.'
+SET UAM_validated = "false"
+WHERE id = '.$user_id.'
+LIMIT 1
+;';
+
+  pwg_query($query);
+}
+
+
+/**
  * UAM_Set_PwdReset
  * Action in user_list to set a password reset for a user
Index: /extensions/UserAdvManager/trunk/include/upgradedb.inc.php
===================================================================
--- /extensions/UserAdvManager/trunk/include/upgradedb.inc.php	(revision 17917)
+++ /extensions/UserAdvManager/trunk/include/upgradedb.inc.php	(revision 17918)
@@ -137,8 +137,8 @@
   // Create missing table
   // --------------------
-  $query = "
-ALTER TABLE ".USER_CONFIRM_MAIL_TABLE."
-ADD reminder ENUM('true', 'false') NULL DEFAULT NULL
-;";
+  $query = '
+ALTER TABLE '.USER_CONFIRM_MAIL_TABLE.'
+ADD reminder ENUM("true", "false") NULL DEFAULT NULL
+;';
   
   pwg_query($query);
Index: /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 17917)
+++ /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 17918)
@@ -182,5 +182,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Handbuch Validierung';
+$lang['UAM_Manual_Validation'] = 'Handbuch Validierung';
 $lang['UAM_Confirm_Mail_true'] = ' Aktivieren - Validation von Benutzer';
 $lang['UAM_Confirm_Mail_local'] = ' Aktivieren - Validation von admin (keine Validierung Key gesendet)';
Index: /extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php	(revision 17917)
+++ /extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php	(revision 17918)
@@ -116,5 +116,5 @@
 $lang['UAM_GTAutoDel'] = 'Αυτόματη διαγραφή των λογαριασμών';
 $lang['UAM_GTAuto'] = 'Αυτόματη διαχείριση των ghosts users';
-$lang['UAM_Force_Validation'] = 'Χειροκίνητη επιβεβαίωση';
+$lang['UAM_Manual_Validation'] = 'Χειροκίνητη επιβεβαίωση';
 $lang['UAM_Expired_Status'] = '<b>Η Κατάσταση</b> για την εγγραφή του χρήστη έχει λήξει<br>';
 $lang['UAM_Expired_Level'] = '<b>Το επίπεδο προστασίας</b> για την εγγραφή του χρήστη έχει λήξει<br>';
Index: /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 17917)
+++ /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 17918)
@@ -155,5 +155,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Manual confirmation';
+$lang['UAM_Manual_Validation'] = 'Manual confirmation';
 $lang['UAM_Confirm_Mail_true'] = ' Enable - Confirmation by user';
 $lang['UAM_Confirm_Mail_local'] = ' Enable - Confirmation by admin (no confirmation key sent)';
Index: /extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 17917)
+++ /extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 17918)
@@ -215,5 +215,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Validación manual';
+$lang['UAM_Manual_Validation'] = 'Validación manual';
 $lang['UAM_Confirm_Mail_true'] = ' Activar - La validación por el usuario';
 $lang['UAM_Confirm_Mail_local'] = ' Activar - La validación por el administrador (sin clave de validación enviado)';
Index: /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 17917)
+++ /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 17918)
@@ -167,5 +167,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Confirmation manuelle';
+$lang['UAM_Manual_Validation'] = 'Confirmation manuelle';
 $lang['UAM_Confirm_Mail_true'] = ' Activer - Confirmation par le visiteur';
 $lang['UAM_Confirm_Mail_local'] = ' Activer - Confirmation par l\'administrateur (pas d\'envoi de clé de confirmation)';
Index: /extensions/UserAdvManager/trunk/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/hu_HU/plugin.lang.php	(revision 17917)
+++ /extensions/UserAdvManager/trunk/language/hu_HU/plugin.lang.php	(revision 17918)
@@ -176,5 +176,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Kézi érvényesítés';
+$lang['UAM_Manual_Validation'] = 'Kézi érvényesítés';
 $lang['UAM_Confirm_Mail_true'] = ' Bekapcsolva - Érvényesítés a felhasználó által';
 $lang['UAM_Confirm_Mail_local'] = ' Bekapcsolva - Érvényesítés az adminisztrátor által (nincs érvényesítő kulcs küldés)';
Index: /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 17917)
+++ /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 17918)
@@ -175,5 +175,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Conferma manuale';
+$lang['UAM_Manual_Validation'] = 'Conferma manuale';
 $lang['UAM_Confirm_Mail_true'] = ' Attivare - Validazione da parte dell\'utente';
 $lang['UAM_Confirm_Mail_local'] = ' Attivare - Validazione da parte di un amministratore (nessuna chiave di validazione inviata)';
Index: /extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php	(revision 17917)
+++ /extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php	(revision 17918)
@@ -213,5 +213,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Manuālā apstiprināšana';
+$lang['UAM_Manual_Validation'] = 'Manuālā apstiprināšana';
 $lang['UAM_Confirm_Mail_true'] = ' Iespējot – Apstiprinājis lietotājs';
 $lang['UAM_Confirm_Mail_local'] = ' Iespējot – Apstiprinājis administrators (netika nosūtīta apstiprināšanas atslēga)';
